Subject: [ipcdn] Re: FW: Question about interaction between External Classifiers and Policy Based Classifiers

From: "Michael W. Patrick" <[email-masked]>
Date: Tue, 03 Oct 2000 09:46:34 -0400

Kishore,

I'm not sure I'm interpreting your question right, but here's how
I understand it:
  The packet matches all four rules (2,5,10,13).

  Rule 2 indicates a service class policy of "silver"
  Rule 5 has no service class policy (i.e. docsDevIpFilterControl is
  'accept').
  Rule 10 indicates a service class policy of "gold"
  Rule 13 has a TOS overwrite policy.

Matching a rule with docsDevIpFilterControl value of 'accept' does 
NOT mean that the MAC.data  request is invoked with no
SCN/RulePriority.  Matching rule 5 does NOT prevent the application
of either rules 2 or 10 to select SCN silver or gold.

The question remains, though, do we use silver or gold, because
mutually exclusive policies were matched (rules 2 and 10).
(An analagous case is where multiple TOS overwrite policies match.)

We have three choices here:
   1) First match applies
   2) Last match applies
   3) Match is undefined.

In my opinion, the right choice for SCN policy (and TOS policy) is
#1, i.e. for a given policy table, the first match applies.
This is the only way that we will be able to apply policies to 
packets addressed to or from subsets of an IP address space 
(e.g. 24.1.16.0/24) while applying a different policy to a superset 
(24.1.0.0/16).  I think this "first match" semantics is appropriate
both for TOS overwrite and for SCN match.

Thoughts, anyone?
-mike

>>>>> "Gummadidala," == Gummadidala, Kishore <[email-masked]> writes:

>> ---------- From: Gummadidala,
>> Kishore[SMTP:[email-masked]] Sent: Monday, October
>> 02, 2000 4:10:54 PM To: [email-masked]';
>> [email-masked]' Subject: FW: Question about interaction
>> between External Classifiers and Policy Based Classifiers Auto
>> forwarded by a Rule
>> 
>> 
> Hello,

> I had posted this question on the reflector but to no avail.  I hope
> you can shed some light on this.

> I look forward to your responses.

> Best regards,

> Kishore.

>  -----Original Message----- From: Gummadidala, Kishore Sent:
> Thursday, September 28, 2000 11:30 AM To:
> [email-masked]'; [email-masked]';
> [email-masked]' Subject: Question about interaction between
> External Classifiers and Policy Based Classifiers

> Hi All,

> I have a question which can be better asked by means of a scenario
> (at least I hope it will be).. So please read on and let me know
> what you think ought to happen..
 
> Consider the following case. Classifiers 2,5,10,13 in the
> DocsDevFilterIpTable all have the continue bit ON. Classifiers 2,10
> have the their policies (via docsDevFilterPolicyTable) pointing to
> the DocsQosServiceClassPolicyTable entries 2,1 respectively. These
> entries specify 1:{GoldServiceClassName,2}
> 2:{SilverServiceClassName,1} Classifier 13 has a ToS overwrite
> policy. Classifier 5 does not have any policy associated with it.

> In summary the relevant entries of the DocsDevFilterTable look like
> this:

>                   Continue Policy 2: Y
> DocsQosServiceClassPolicyTable[2] 5: Y - 10: Y
> DocsQosServiceClassPolicyTable[1] 13: Y DocsDevFilterTosTable[1]

> Now a packet comes in which matches Classifiers 2,5,10,13 only.
> When it finally hits the DOCSIS MAC layer, what will be passed in
> the MAC_DATA.request??

> a) Will it be {GoldServiceClassName,2} which is the last QoS policy
> that would have applied?

> OR

> b) Will no SCN/RulePriority combo be passed to the MAC layer since
> the last CD classifier that matched did not have an associated QoS
> policy?

> Any thoughts you might have on this will be much appreciated.

> Best Regards,

> -Kishore.

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn